Subject: bug#65469: [PATCH] * etc/emacsclient.desktop: Make Emacs default application for org-protocol

From: Björn Bidar <[email-masked]>
Date: Wed, 20 Sep 2023 00:26:06 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: Ihor Radchenko <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Tue, 19 Sep 2023 13:58:53 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> > Is this related to the issue with org-protocol?
>> >> 
>> >>  ...
>> >> With the discussed patch, e.g. Firefox will automatically use Emacs when
>> >> clicking on the above bookmarklet. Then, strictly speaking, it is not
>> >> necessary for the GNU/Linux system to be fully XDG-compiant. It will be
>> >> enough that (1) Emacs provides .desktop file; (2) Linux has xdg-open and
>> >> its dependencies installed; (3) Firefox makes use of xdg-open.
>> >
>> > I don't understand what should the NEWS entry about org-protocol
>> > support say, in addition to what it already says, to cover these
>> > factoids.  The NEWS entry is about the emacsclient.desktop file and
>> > its contribution to automatic support of org-protocol; isn't what you
>> > say above part of that automatic support?
>> 
>> I guess it depends on the level of precision you want to have in the
>> NEWS entry. For me, the NEWS entry sounds good enough, but I wanted to
>> make things more clear after Björn's comment.
>
> So what is imprecise in the wording I suggested a couple of messages
> ago?

I'm fine with the suggested wording as long as it explains that BSD or
even Hurd are also fine. My comment was only about that not
only Linux as the relevant target OS for the change.

Xdg-open is a thing on any free Unix-like system.